%global pypi_name XStatic-Jasmine

Name:           python-%{pypi_name}
Version:        1.3.1.1
Release:        2%{?dist}
Summary:        Jasmine (XStatic packaging standard)

License:        MIT
URL:            http://jasmine.github.io/
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires: python-XStatic
Requires: web-assets-filesystem

%description
Jasmine JavaScript library packaged for
setuptools (easy_install) / pip.

This package is intended to be used by
**any** project that needs these files.

It intentionally does **not** provide
any extra code except some metadata
**nor** has any extra requirements. You MAY
use some minimal support code from
the XStatic base package, if you like.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/jasmine'|" xstatic/pkg/jasmine/__init__.py



%build
# due 
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_jsdir}/jasmine
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/jasmine/data/jasmine.js %{buildroot}/%{_jsdir}/jasmine


%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/jasmine
%{python2_sitelib}/XStatic_Jasmine-%{version}-py%{python_version}.egg-info
%{python2_sitelib}/XStatic_Jasmine-%{version}-py%{python_version}-nspkg.pth
%{_jsdir}/jasmine


%changelog
* Thu Sep 04 2014 Matthias Runge <mrunge@redhat.com> - 1.3.1.1-2
- changed BR to python2-devel (rhbz#1134852)

* Thu Aug 28 2014 Matthias Runge <mrunge@redhat.com> - 1.3.1.1-1
- Initial package.
